/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include "getphoto.h"

void print_error( char *fmt, ... )
{
  va_list ap;

  va_start(ap, fmt);

  vfprintf(stderr, fmt, ap);
  va_end(ap);
}


void print_errno( void )
{
  fprintf(stderr, GT_("%m\n"));
}


int print_exit( char *fmt, ... )
{
  print_error(fmt);
  exit(EXIT_FAILURE);
}


int exit_errno( void )
{
  print_errno();
  exit(errno);
}
